<template>
  <div class="header absolute top-0 inset-x-0">
    <div class="container_header">
      <div class="image_head">
        <img
          :src="require('~/assets/images/head_1.png')"
          class="w-full h-[106px]"
        />
      </div>

      <div class="context_center font-semibold">
        <div class="context_center_sum font-roboto">{{ title }}</div>
        <div class="context_center_date">-- : -- : -- : --</div>
      </div>

      <div class="flex justify-between items-center absolute top-4 inset-x-4">
        <div class="flex items-center gap-6">
          <img
            :src="require('~/assets/images/menu (1) 1.svg')"
            alt="menu (1) 1.svg"
            class="cursor-pointer"
          />

          <img
            :src="require('~/assets/images/dashboard (1) 1.svg')"
            alt="dashboard (1) 1.svg"
            class="cursor-pointer"
          />

          <img
            :src="require('~/assets/images/left 1.svg')"
            alt="left 1.svg"
            class="cursor-pointer"
            @click="onBack"
          />
        </div>

        <div class="flex items-center gap-6">
          <div class="relative cursor-pointer">
            <img
              :src="require('~/assets/images/notification 1.svg')"
              alt="notification 1.svg"
            />

            <span
              class="bg-red rounded-full px-2 text-white absolute bottom-1 right-6 font-semibold"
              >1</span
            >
          </div>

          <img
            :src="require('~/assets/images/account 5.svg')"
            alt="account 5.svg"
            class="cursor-pointer"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: "Title",
    },
    onBack: {
      type: Function,
      default: () => {
        return {};
      },
    },
  },
  mounted() {
    this.setDateTime();
  },
  methods: {
    setDateTime() {
      const timeTH = document.querySelector(".context_center_date");

      function datetime() {
        var month_name_th = [
          "มกราคม",
          "กุมภาพันธ์",
          "มีนาคม",
          "เมษายน",
          "พฤษภาคม",
          "มิถุนายน",
          "กรกฎาคม",
          "สิงหาคม",
          "กันยายน",
          "ตุลาคม",
          "พฤศจิกายน",
          "ธันวาคม",
        ];

        var dt = new Date();
        var date = dt.getDate();
        var month_th = month_name_th[dt.getMonth()];
        var year_th = dt.getFullYear() + 543;

        // ชั่วโมง น้อยกว่า 0 จะเป็น : 0x:
        if (parseInt(dt.getHours()) < 10) {
          var mh = "0" + dt.getHours();
        } else {
          var mh = dt.getHours();
        }
        // นาที น้อยกว่า 0 จะเป็น : 0x:
        if (parseInt(dt.getMinutes()) < 10) {
          var mm = "0" + dt.getMinutes();
        } else {
          var mm = dt.getMinutes();
        }
        // วินา น้อยกว่า 0 จะเป็น : 0x:
        if (parseInt(dt.getSeconds()) < 10) {
          var ms = "0" + dt.getSeconds();
        } else {
          var ms = dt.getSeconds();
        }

        var time = `${mh}:${mm}:${ms}`;

        var datetime_th = date + " " + month_th + " " + year_th + " " + time;

        return datetime_th;
      }

      setInterval(() => {
        timeTH.textContent = datetime();
      }, 200);
    },
  },
};
</script>

<style lang="scss" scoped>
.header {
  .container_header {
    position: relative;
    width: 100%;
  }
  .context_center {
    padding: 10px;
    text-align: center;
    color: white;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  .context_center_sum {
    font-size: 40px;
  }
  .context_center_date {
    font-size: 20px;
  }
}
</style>
